* {
  margin: 0px;
  padding: 0px;
}

*:focus {
  outline: none;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

@font-face {
  font-family: MontSerratL;
  src: url(../fonts/Montserrat-Light.otf);
}

@font-face {
  font-family: MontSerratR;
  src: url(../fonts/Montserrat-Regular.otf);
}

/* Css em Elemento */

body,html {
    overflow-x: hidden;
}

/* Css em class */
.container-ap {
  height: 100vh;
  width: 100vw;
}

.container-1 {
  display: flex;
  flex-direction: column;

  justify-content: center;
  align-items: center;
}

.form-background {
  width: calc(100vw + 60px);
  height: 60vh;

  border: 10px solid #1a2b15;
  padding: 10px;

  border-right: none;
  padding-right: 0px;
}

.form {
  height: 80vh;
  width: 35vw;

  position: absolute;

  align-self: center;
  justify-self: center;

  border: 10px solid #1a2b15;
  border-radius: 70px;

  background-image: url(../img/form/form-background.png);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;

  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
}

.icon {
  width: 20%;
}

.form h2 {
  color: #1a2b15;
  font-size: 2rem;
  font-family: MontSerratR;
  margin: 15px;
}

.form input {
  width: 80%;
  height: 5%;

  background-color: transparent;
  border: none;
  border-bottom: 3px solid #1a2b15;

  font-family: MontSerratL;
  font-size: 1.6rem;

  padding: -5px;
  margin: 10px;

  color: #1a2b15;
}

.form input::placeholder {
  color: #1a2b15;
}

.form-box {
  margin: 25px;
  padding: 15px;
  border: 4px solid #1a2b15;
  border-radius: 30px;
  width: 85%;

  background-color: white;
}

.form-box h4,
.form-box h3 {
  font-family: MontSerratL;
  font-size: 20px;

  margin-bottom: 0px;
}

.form-radio {
  align-items: center;

  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
}

.form-radio div {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.form-radio input[type="radio"] + label {
  display: none;
}

.form-radio input[type="radio"] + label {
  display: inline-block;

  height: 25px;
  width: 25px;

  padding: 0 0 0 20px;
  margin: 0 10px 0 0;

  background-color: #fff;

  border: 2px solid #1a2b15;
  border-radius: 25px;

  background-repeat: no-repeat;
  background-position: 0 0;
}

.form-radio input[type="radio"]:checked + label {
  background-color: #1a2b15;
  background-position: center center;
}

.form input[type="button"] {
  width: 40%;
  height: 5%;
  background-color: white;
  font-family: MontSerratR;
  border-radius: 30px;
  border: 2px solid #1a2b15;
  box-shadow: 0px 0px 8px #1a2b15;
}

.form input[type="button"]:active {
  width: 40%;
  height: 5%;
  color: white;
  background-color: #344230;
  font-family: MontSerratR;
  border-radius: 30px;
  box-shadow: 0px 0px 8px #1a2b15;
}

.container-4 {
  background-image: url(../img/local.jpg);
  background-repeat: no-repeat;
  background-size: cover;
}

.containerVideo {
  height: 100vh;

  width: 100vw;

  padding-left: 60px;

  background-color: black;
}

.video {
  width: 100vw;
  height: 100vh;
}

.tamanhovideo {
  width: 100vw;
  height: 100vh;
}

.poster-right {
    z-index: 11;
  
    right: 0px;
    height: 100vh;
    width: auto;
    position: absolute;
  
    margin-top: 100vh;
  }

.images-in-carousel {
    width: 100vw;
    height: 100vh;
}

#img-wpp:hover {
    content: url('../img/wpp_botao_hover.png');
}

#img-wpp:active {
    content: url('../img/wpp_botao_active.png');
}

@media (max-width: 600px) {
    .poster-right {
        height: auto;
        width: 100vw;
    
        right: 0px;
    
        margin-top: calc(100vh + 100%);
        content: url(../img/poster/poster_mobile.png);
      }

      .images-in-carousel {
        width: 100vw;
        height: 100vh;
        object-fit: cover;
    }

    .form {
        width: 90vw;
        border-width: 5px;
        text-align: center;

        border-radius: 35px;
    }

    .form h2 {
        font-size: 1.3rem;
    }

    .form input {
        font-size: 1.0rem;
    }
  
    .form h3,
    .form h4 {
        font-size: 0.9rem;
    }

    .container-ap.container-4 {
        height: 40vh;
    }

    .container-4 {
        width: 100%;
        object-fit: cover;
        margin-left: auto;
        margin-right: auto;
    }

    .containerVideo {
        padding-left: 0px;
    }
}
